import 'UserActivity.dart';

class UserActivityResponseModel {
  List<UserActivity> userActivity = [];

  UserActivityResponseModel({required this.userActivity});

  factory UserActivityResponseModel.fromMap(dynamic list) {
    return UserActivityResponseModel(
      userActivity: List<UserActivity>.from(
        list.map((map) => UserActivity.fromMap(map)),
      ),
    );
  }

  List<Map<String, dynamic>> toMap() {
    return userActivity.map((transaction) => transaction.toMap()).toList();
  }
}